  <div class="main-container" >
    <div>
      <ion-icon
        size="large"
        name="car-sport-outline"
        color="danger"
        style="background-color: var(--ion-color-light-tint); border-radius: 10px;"
        class="ion-padding">
      </ion-icon>
    </div>
    <div class="info-carga">
      <div class="details">
        <ion-label >{{carga.auto.nickname}}</ion-label>
        ·
        <ion-label >{{carga.auto.license_plates}}</ion-label>
      </div>
      <div >
        <ion-label *ngIf="isToday(carga.fecha)" >Hoy</ion-label>
        <ion-label *ngIf="!isToday(carga.fecha)" >{{carga.fecha}}</ion-label>
      </div>
      <div class="details">
        <ion-label> ${{carga.total}} </ion-label>
        <ion-label> · </ion-label>
        <ion-label> {{carga.litros}} L. </ion-label>
        <div [ngSwitch]="carga.auto.fuel">
          <ion-label
              *ngSwitchCase="'Regular'"
              style="background:var(--ion-color-carga-regular); padding: 0 5px; border-radius: 5px;"
              color="light">
              R
            </ion-label>
            <ion-label
              *ngSwitchCase="'Diesel'"
              style="background:var(--ion-color-carga-diesel); padding: 0 5px; border-radius: 5px;"
              color="light">
              D
            </ion-label>
            <ion-label
              *ngSwitchCase="'Premium'"
              style="background:var(--ion-color-carga-premium); padding: 0 5px; border-radius: 5px;"
              color="light">
              P
            </ion-label>
            <ion-label
              *ngSwitchDefault>
              {{carga.auto.fuel}}
            </ion-label>
        </div>
      </div>
    </div>
  </div>
